import { getCollection, getDb } from "../lib/mongodb";

async function migrateLink() {
    const botDb = await getDb('ai-bot');
    const botCol = botDb.collection('link');
    const botArticleCol = botDb.collection('link-article');

    const col = await getCollection('link')
    const links = await col.find().toArray();
    const articleCol = await getCollection('article')
    await botCol.deleteMany({});
    await botCol.insertMany(links);
    await botArticleCol.deleteMany({});
    await botArticleCol.insertMany(await articleCol.find().toArray());
    console.log('Migrate link success');
}
async function move() {
    const botDb = await getDb('ai-bot');
    const linkCol = botDb.collection('link');
    const articleCol = botDb.collection('link-article');
    const links = await linkCol.find().toArray();
    const articles = await articleCol.find().toArray();
    articles.forEach(async (article) => {
        const link = await linkCol.findOne({ articleId: article._id + '' });
        if (link) {
            console.log(link);
            
            await articleCol.updateOne({ _id: article._id }, { $set: { description: link.description } });
        }
    });

}
// migrateLink();
move()